package com.rjconsultores.ventaboletos.web.utilerias.menu.item.seguridad;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuAutorizacion extends DefaultItemMenuSistema {

	public ItemMenuAutorizacion() {
		super("indexController.mniAutorizacion.label");
	}

	@Override
	public String getClaveMenu() {
		return "___COM.RJCONSULTORES.ADMINISTRACION.GUI.SEGURIDAD.MENU.AUTORIZACION__";
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/seguridad/busquedaAutorizacion.zul",
				Labels.getLabel("busquedaAutorizacionController.window.title"), getArgs() ,desktop);
	}
}
